ilch Forum » Ilch CMS 2.x » Fehlersuche und Probleme » [ERLEDIGT] Version 2.1.3

Geschlossen
  1. #1
    User Pic
    Wolfilein Mitglied
    Registriert seit
    14.09.2015
    Beiträge
    4
    Beitragswertungen
    0 Beitragspunkte
    Irgendwie kann ich nach dem Update keine vorhandennen Seiten,Boxen,Artikel mehr ändern. Das heißt ich sehe den Inhalt nicht mehr siehe ..> www.ogf-gaming.de/ablage/ilch213.png

    Aber der Inhalt ist noch vorhanden.

    Allerdings ist es auch beim erstellen so ..


    Wenn ich im Admincenter auf Module-Übersicht gehe dann kommen zwei fehler.

    Notice: Undefined index: ilchCore in /www/htdocs/w013a055/ogf-gaming.de/application/modules/admin/views/admin/modules/index.php on line 180
    Notice: Undefined index: phpVersion in /www/htdocs/w013a055/ogf-gaming.de/application/modules/admin/views/admin/modules/index.php on line 181


    betroffene Homepage: ogf-gaming.de


    Zuletzt modifiziert von Wolfilein am 29.11.2017 - 11:41:02
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    739
    Beitragswertungen
    101 Beitragspunkte
    Kann die Fehler hier nicht nachvollziehen. Gab es beim Update auf 2.1.3 irgendeine Fehlermeldung?

    Damit der Editor wieder geht, könnte folgendes ausprobiert werden:
    1. Ilch 2.1.3 herunterladen
    github.com/IlchCMS/Ilch-2.0/releases/tag/v2.1.3

    2. Auf deinem Server den vorhandenen "vendor"-Ordner durch den aus dem Download von Ilch 2.1.3 ersetzen.

    Beim zweiten Fehler könnte es an irgendeiner config.php eines Moduls liegen. Irgendwelche anderen Module installiert oder nur die ab Werk?

    Edit: Ich sehe gerade das du ein Voiceserver-Modul installiert hast. Wie sieht denn die config.php dieses Moduls aus?
    Die config.php sollte hier zu finden sein:
    application\modules\<voiceserver?>\config\


    Zuletzt modifiziert von blackcoder am 29.11.2017 - 17:09:35
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    Wolfilein Mitglied
    Registriert seit
    14.09.2015
    Beiträge
    4
    Beitragswertungen
    0 Beitragspunkte
    Danke erstmal für die Hilfe.
    Es gab keinerlei Fehler beim Update.

    Zum Voiceserver-modul

    <?php
    /**
     * @copyright Ilch 2.0
     * @package ilch
     */
    
    namespace Modules\Voiceserver\Config;
    
    class Config extends \Ilch\Config\Install
    {
        public $config = 
            [
            'key' => 'voiceserver',
            'author' => 'Rümmler, Dirk',
            'icon_small' => 'voiceserver.png',
            'languages' => 
                [
                'de_DE' => 
                    [
                    'name' => 'Voiceserver',
                    'description' => 'Hier kann der Voiceserver (TS3|Ventrilo|Mumble) verwaltet werden.',
                    ],
                'en_EN' => 
                    [
                    'name' => 'Voiceserver',
                    'description' => 'Here you can manage Voiceserver (TS3|Ventrilo|Mumble) from your Site.',
                    ],
                ]
            ];
    
        public function install()
        {
            $databaseConfig = new \Ilch\Config\Database($this->db());
            $databaseConfig->set('voice_server', '{"Type":"TS3","IP":"1.1.1.1","QPort":"10011","Port":"9987","Refresh":"30"}');
        }
    
        public function uninstall()
        {
            $this->db()->queryMulti("DELETE FROM `[prefix]_config` WHERE `key` = 'voice_server'");
        }
    }


    Der Test mit dem vendor ordner hat auch nicht funktioniert.
    Ein weiteres Modul ausser das VOice.. habe ich nicht installiert ( ab Werk ).

    Ich habe eine "TEstpage" mit altem Backup von Ilch 2.1.2 mit der dazu gehörigen Datenbank erstellt.
    Da kann ich die "Seiten,BOxen,Artikel bearbeiten.
    Allerdings habe ich gesehen das die zwei Fehler bei Module-überischt auch schon da waren.

    EDIT: Ich habe bei der "Testpage" das Voiceserver modul deinstalliert.
    Danach das Update auf 2.1.3 vollzogen. SIehe da es geht wieder alles. Aber wieso verstehe ich nicht.
    Danach Voiceserver-Modul wieder installiert. Es geht noch immer alles. Aber die Zwei Fehler in Module-überischt wieder da.

    Nun die Testpage und alte Datenbank alles Aktualisieren grummlgrumml
    Oder gibt es noch Ideen ? lachen

    Zuletzt modifiziert von Wolfilein am 30.11.2017 - 00:39:39
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    739
    Beitragswertungen
    101 Beitragspunkte
    Die zwei Fehler in der Module-Übersicht kommen, weil in der config.php des Voiceserver-Moduls die Angaben für "ilchCore" und "phpVersion" fehlen.

    Du könntest bei dem Modul diese beiden Angaben ergänzen, so wie z.B. bei diesem Modul:
    github.com/IlchCMS/Ilch-2.0/blob/master/application/modules/checkoutbasic/config/config.php#L27

    Danach sollten die beiden Fehler auch nicht mehr angezeigt werden.


    Beim Update auf 2.1.3 scheint also vermutlich etwas schiefgegangen zu sein. Könnte man beheben indem man das Update von Hand einspielt - alte Dateien durch die Dateien aus dem Update ersetzen und die nötigen Änderungen an der Datenbank durchführen (z.B. mit phpMyAdmin).
    ilch2.de/development/updateserver/stable/updates/master-2.1.3.zip

    Morgen Abend oder am Wochenende könnte ich Zeit finden dabei zu helfen.
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    Wolfilein Mitglied
    Registriert seit
    14.09.2015
    Beiträge
    4
    Beitragswertungen
    0 Beitragspunkte
    Habe es nochmal probiert ohne Erfolg.

    Immer nach dem Update von 2.1.2 auf 2.1.3 sind die boxen,seiten etc. nicht mehr änderbar.

    Anscheinend eventuell alles neu aufsetzen. Oder jemand ist schlauer als ich lächeln .
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    739
    Beitragswertungen
    101 Beitragspunkte
    Es waren Dateien im Ordner static\js\ beschädigt. Nachdem der komplette Ordner ersetzt wurde, funktionierte der Editor wieder.

    Das Hinzufügen der beiden fehlenden Angaben in der config.php des Voiceserver-Moduls hat ebenfalls die beiden Fehler in der Modul-Übersicht behoben.
    1 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    Wolfilein Mitglied
    Registriert seit
    14.09.2015
    Beiträge
    4
    Beitragswertungen
    0 Beitragspunkte
    Nice .. Danke dir
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Fehlersuche und Probleme

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten